
.d-none {
  display: none !important;
}

::-webkit-input-placeholder { /* Chrome/Opera/Safari */
  color: #A5A5A5;
  opacity: 1; /* Firefox */
  font-size: 1rem;
}
::-moz-placeholder { /* Firefox 19+ */
  color: #A5A5A5;
  font-size: 1rem;
}
:-ms-input-placeholder { /* IE 10+ */
  color: #A5A5A5;
  font-size: 1rem;
}
::-ms-input-placeholder {
  color: #A5A5A5;
  font-size: 1rem;
}
:-moz-placeholder { /* Firefox 18- */
  color: #A5A5A5;
  font-size: 1rem;
}
::placeholder {
  color: #A5A5A5 !important;
  font-size: 1rem;
}
.select2-selection__placeholder {
  color: #A5A5A5 !important;
}
/** btn-two按鈕 **/
.btn-two {
    margin: 9px;
}
.btn-two.large {
  padding: 20px 40px;
  font-size: 22px;
}
.btn-two.small {
  padding: 8px 18px;
  font-size: 14px;
}
.btn-two.mini {
  padding: 4px 12px;
  font-size: 14px;
}
.btn-two.block {
  display: block;
  width: 60%;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
}

/* Colors for .btn and .btn-two */
.btn-two.blue    {background-color: #1899BC;}
.btn-two.blueA    {background-color: #16AFDD;}
.btn-two.green   {background-color: #9abf7f;}
.btn-two.greenA   {background-color: #009933;}
.btn-two.red     {background-color: #F35656;}
.btn-two.redA     {background-color: #D60A0A;}
.btn-two.purple {background-color: #cb99c5;}
.btn-two.purpleA {background-color: #9789E4;}
.btn-two.brown    {background-color: #C19E9F;}
.btn-two.brownA    {background-color: #A15D1A;}
.btn-two.yellow {background-color: #f0d264;}
.btn-two.yellowA {background-color: #F0E620;}
.btn-two.pink     {background-color: #FFB2B2;}
.btn-two.pinkA     {background-color: #FF3FD5;}
.btn-two.gray     {background-color: #AAAAAA;}
.btn-two.grayA     {background-color: #C9C9C9;}

.rounded {
  border-radius: 10px;
}

/* Button two - I have no creativity for names */
.btn-two {
    color: white;
    padding: 15px 25px;
    display: inline-block;
    border: 1px solid rgba(0,0,0,0.21);
    -moz-border-radius:5px;-webkit-border-radius:5px;border-radius:5px;
    border-bottom-color: rgba(0,0,0,0.34);
    text-shadow:0 1px 0 rgba(0,0,0,0.15);
    box-shadow: 0 1px 0 rgba(255,255,255,0.34) inset,
                0 2px 0 -1px rgba(0,0,0,0.13),
                0 3px 0 -1px rgba(0,0,0,0.08),
                0 3px 13px -1px rgba(0,0,0,0.21);
}
.btn-two:active {
    top: 1px;
    border-color: rgba(0,0,0,0.34) rgba(0,0,0,0.21) rgba(0,0,0,0.21);
    box-shadow: 0 1px 0 rgba(255,255,255,0.89),0 1px rgba(0,0,0,0.05) inset;
    position: relative;
}

/* 閃亮按鈕 */
.btn-shine {
    border: 1px solid rgba(0,0,0,0.21);
    background:#D4D4D4;
    background:linear-gradient(0deg,rgba(212,212,212,1) 0,rgba(185,185,185,1) 100%);
    color:#ffffff;
    border-radius:5px;
    padding:5px 20px;
    font-weight:500;
    cursor:pointer;
    transition:all .3s ease;
    position:relative;
    display:inline-block;
    box-shadow:inset 2px 2px 2px 0 rgba(255,255,255,.5),7px 7px 20px 0 rgba(0,0,0,.1),4px 4px 5px 0 rgba(0,0,0,.1);
    overflow:hidden;
}
.btn-shine:after {
  background: #ffffff;
  content: "";
  height: 155px;
  left: -115px;
  opacity: 0.6;
  position: absolute;
  top: -50px;
  transform: rotate(35deg);
  transition: all 550ms cubic-bezier(0.19, 1, 0.22, 1);
  width: 80px;
  z-index: 1;
}
.btn-shine:hover:after {
  left: 120%;
  transition: all 550ms cubic-bezier(0.19, 1, 0.22, 1);
}
.btn-shine:hover {
  color:#000000;
}
.btn-shine.blue    {color: #000000;background-color: #00D2FF;background:linear-gradient(0deg,rgba(0,210,255,1) 0,rgba(188,241,255,1) 100%);}
.btn-shine.blueA    {background-color: #008FFF;background:linear-gradient(0deg,rgba(0,143,255,1) 0,rgba(0,210,255,1) 100%);}
.btn-shine.blueA:hover {color: #ffff00;}
.btn-shine.green   {color: #000000;background-color: #00ED00;background:linear-gradient(0deg,rgba(0,237,0,1) 0,rgba(180,237,180,1) 100%);}
.btn-shine.greenA   {background-color: #008E32;background:linear-gradient(0deg,rgba(0,142,50,1) 0,rgba(0,179,120,1) 100%);}
.btn-shine.greenA:hover {color: #ffff00;}
.btn-shine.red     {color: #000000;background-color: #FF0000;background:linear-gradient(0deg,rgba(255,0,0,1) 0,rgba(255,206,206,1) 100%);}
.btn-shine.redA     {background-color: #B10A0A;background:linear-gradient(0deg,rgba(177,10,10,1) 0,rgba(234,50,50,1) 100%);}
.btn-shine.redA:hover {color: #ffff00;}
.btn-shine.purple {color: #000000;background-color: #BBB4D6;background:linear-gradient(0deg,rgba(187,180,214,1) 0,rgba(209,201,239,1) 100%);}
.btn-shine.purpleA {background-color: #9768E4;background:linear-gradient(0deg,rgba(151,104,228,1) 0,rgba(151,137,228,1) 100%);}
.btn-shine.purpleA:hover {color: #ffff00;}
.btn-shine.brown    {color: #ffffff;background-color: #A15D1A;background:linear-gradient(0deg,rgba(161,93,26,1) 0,rgba(221,176,37,1) 100%);}
.btn-shine.brownA    {background-color: #A15D1A;background:linear-gradient(0deg,rgba(161,93,26,1) 0,rgba(198,115,31,1) 100%);}
.btn-shine.brownA:hover {color: #ffff00;}
.btn-shine.yellow {color: #000000;background-color: #f0d264;background:linear-gradient(0deg,rgba(240,210,100,1) 0,rgba(240,235,100,1) 100%);}
.btn-shine.yellow:hover {color: #A15D5C;}
.btn-shine.yellowA {color: #000000;background-color: #F0E620;background:linear-gradient(0deg,rgba(240,230,32,1) 0,rgba(240,252,32,1) 100%);}
.btn-shine.yellowA:hover {color: #A15D5C;}
.btn-shine.pink     {background-color: #FFB2B2;background:linear-gradient(0deg,rgba(255,178,178,1) 0,rgba(255,178,242,1) 100%);}
.btn-shine.pinkA     {background-color: #fb2175;background:linear-gradient(0deg,rgba(251,33,117,1) 0,rgba(234,76,137,1) 100%);}
.btn-shine.pinkA:hover {color: #ffff00;}

/* 主選單調整 */
#navbarMain {margin:0 !important;padding:0 !important;}
.sf-menu a {
  background-color: #0092F4;
  color: #fff;
  border: 0;
}
.sf-menu ul {
  background-color: #FFFF00;
  -webkit-box-shadow: none;
  box-shadow: none;
  border: 0;
}
.sf-menu > li > a {
  padding: 20px 15px;
}
.sf-menu li>a:hover, .sf-menu li>a:focus {
  background-color: #33CCFF;
  color: #000000;
}

/* video container */
.videoContainer {
  color: rgb(204, 204, 204);
  height: 350px;
  overflow: hidden;
  position: relative;
  width: 100%;
}
.videoContainer:before {
  content: '';
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 6;
  pointer-events: none;
}
/* video caption css */
.caption {
  backface-visibility: hidden;
  background: rgba(31, 50, 62, 0.81);
  border-radius: 6px 6px 0 0;
  color: rgb(221, 221, 221);
  display: none;
  font-size: 14px;
  font-weight: 300;
  left: 0;
  padding: 10px;
  position: absolute;
  text-align: center;
  text-transform: uppercase;
  top: 2px;
  width: 100%;
}

/* 文字陰影 */
.tx-shadow-dark {text-shadow: 1px 3px 1px rgba(100, 100, 100, 0.5);}
.tx-shadow-red {text-shadow: 1px 3px 1px rgba(200, 0, 0, 0.5);}
.tx-shadow-yellow {text-shadow: 1px 3px 1px rgba(200, 200, 0, 0.5);}
/* 區塊陰影 */
.ss-block{box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.4), 0px 7px 13px -3px rgba(0, 0, 0, 0.3), 0px -3px 0px rgba(0, 0, 0, 0.2) inset;}

/* 性感按鈕 */
.sexy-btn{
color:#08233e;
font-size:1rem;
padding:8px 12px;
white-space: nowrap;
background:url(../image/overlay.png) repeat-x center #ffcc00;
background-color:rgba(204,204,204,1);
border:1px solid #707070;
-moz-border-radius:5px;-webkit-border-radius:5px;border-radius:5px;
border-bottom:2px solid #9f9f9f;
-moz-box-shadow:inset 0 1px 0 rgba(255,255,255,0.5);-webkit-box-shadow:inset 0 1px 0 rgba(255,255,255,0.5);box-shadow:inset 0 1px 0 rgba(255,255,255,0.5);
}

.sexy-btn.gray{
color:#08233e;
background-color:rgba(204,204,204,1);
border:1px solid #ADADAD;
border-bottom:2px solid #9f9f9f;
}
.sexy-btn.gray:hover{background-color:rgba(170,170,170,0.8);}

.sexy-btn.yellow{
color:#08233e;
background-color:rgba(255,204,0,1);
border:1px solid #ffcc00;
border-bottom:2px solid #9f9f9f;
}
.sexy-btn.yellow:hover{background-color:rgba(255,204,0,0.8);}
.sexy-btn.orange{
color:#fff !important;
background-color:rgba(255,153,51,1);
border:1px solid #FF9933;
border-bottom:2px solid #9f9f9f;
}
.sexy-btn.orange:hover{color:#000 !important;background-color:rgba(255,153,51,0.8);}
.sexy-btn.red{
color:#fff !important;
background-color:rgba(255,51,51,1);
border:1px solid #FF3333;
border-bottom:2px solid #9f9f9f;
}
.sexy-btn.red:hover{color:#000 !important;background-color:rgba(255,51,51,0.8);}
.sexy-btn.green{
color:#fff !important;
background-color:rgba(0,168,0,1);
border:1px solid #008D00;
border-bottom:2px solid #9f9f9f;
}
.sexy-btn.green:hover{color:#000 !important;background-color:rgba(0,168,0,0.8);}
.sexy-btn.blue{
color:#fff !important;
background-color:rgba(0,168,245,1);
border:1px solid #008DE0;
border-bottom:2px solid #9f9f9f;
}
.sexy-btn.blue:hover{color:#000 !important;background-color:rgba(0,168,245,0.8);}

.sexy-shadow{
  -moz-box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.4), 0px 7px 13px -3px rgba(0, 0, 0, 0.3), 0px -3px 0px rgba(0, 0, 0, 0.2) inset;
  -webkit-box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.4), 0px 7px 13px -3px rgba(0, 0, 0, 0.3), 0px -3px 0px rgba(0, 0, 0, 0.2) inset;
  box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.4), 0px 7px 13px -3px rgba(0, 0, 0, 0.3), 0px -3px 0px rgba(0, 0, 0, 0.2) inset;
}


/*一般提示框(彈出)*/
#msgmask{
width:100%; height:100%; background-color:rgba(0,0,0,0.5); position:fixed;  z-index:1100; top:0; left:0; animation: fade-in;
animation-duration: 0.3s;
-webkit-animation:fade-in 0.3s;
}
@keyframes fade-in {
0% {opacity: 0;}/*初始狀態 透明度為0*/
40% {opacity: 0;}/*過渡狀態 透明度為0*/
100% {opacity: 1;}/*結束狀態 透明度為1*/
}
#tipnews{
width: 80%;
    height: auto;
    margin-top: 100px;
    text-align: center;
    color: #1b1b1b;
    background-color: #fff;
    margin-left: auto;
    margin-right: auto;
    border-top-left-radius: .5rem;
    border-top-right-radius: .5rem;
    line-height: 130%;
    padding: 1rem;
    min-height: 1.2rem;
}
#okbtn{
width:80%;cursor:pointer;text-align:center; color:#fff; background-color:#ff5761; margin-left:auto; margin-right:auto; border-bottom-left-radius:.5rem; border-bottom-right-radius:.5rem;line-height:1rem;
}


/* 加載中 運算中 modal */
.promask{
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1050;
  display: none;
  overflow: hidden;
  outline: 0;
}
.promask.fade .promask-dialog {
  transition: transform 0.3s ease-out;
  transform: translate(0, -25%);
}
.promask.show .promask-dialog {
  transform: translate(0, 0);
}

.promask-open .promask {
  overflow-x: hidden;
  overflow-y: auto;
}

.promask-dialog {
  position: relative;
  width: auto;
  margin: 10px;
}

.promask-content {
  position: relative;
  display: flex;
  flex-direction: column;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid rgba(23, 24, 25, 0.2);
  border-radius: 0.3rem;
  outline: 0;
}
.promask-body {
  position: relative;
  flex: 1 1 auto;
  padding: 15px;
}
@media (min-width: 576px) {
  .promask-dialog {
    max-width: 500px;
    margin: 30px auto;
  }
}
small{cursor: pointer;}


/* CSS 單選框 */
.css-radiobox input[type="radio"] {
    display: none;
    }
.css-radiobox input[type="radio"] + label {
    display: inline-block;
    border: 1px solid #808080;
    background-color: #BFEFFF;
    cursor: pointer;
    margin: 3px 3px;
    padding: 3px 10px;
    }
.css-radiobox input[type="radio"]:checked + label {
    background-color: #30CBFF;
    color: #fff;
    }
.css-radiobox input[type="radio"]:disabled + label {
    background-color: #D9D9D9;
    color: #fff;
    }
.css-radiobox input[type="checkbox"] {
    display: none;
    }
.css-radiobox input[type="checkbox"] + label {
    display: inline-block;
    border: 1px solid #808080;
    background-color: #BFEFFF;
    cursor: pointer;
    margin: 3px 3px;
    padding: 3px 10px;
    }
.css-radiobox input[type="checkbox"]:checked + label {
    background-color: #30CBFF;
    color: #fff;
    }
.css-radiobox input[type="checkbox"]:disabled + label {
    background-color: #D9D9D9;
    color: #fff;
    }

  .checkbox-bb *,
  .checkbox-bb ::after,
  .checkbox-bb ::before {
    box-sizing: border-box;
  }
  .checkbox-bb [type=checkbox].substituted,
  .checkbox-bb [type=radio].substituted {
    margin: 0 5px;
    width: 0;
    height: 0;
    display: inline;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
  }
  .substituted label {
    width: 250px;
    margin: 0 5px;
    }
  .checkbox-bb [type=checkbox].substituted + label:before,
  .checkbox-bb [type=radio].substituted + label:before {
    content: "";
    display: inline-block;
    vertical-align: top;
    height: 1.15em;
    width: 1.15em;
    margin-right: 0.6em;
    color: rgba(0, 0, 0, 0.275);
    border: solid 0.06em;
    box-shadow: 0 0 0.04em, 0 0.06em 0.16em -0.03em inset, 0 0 0 0.07em transparent inset;
    border-radius: 0.2em;
    background: url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" version="1.1" xml:space="preserve" fill="white" viewBox="0 0 9 9"><rect x="0" y="4.3" transform="matrix(-0.707 -0.7072 0.7072 -0.707 0.5891 10.4702)" width="4.3" height="1.6" /><rect x="2.2" y="2.9" transform="matrix(-0.7071 0.7071 -0.7071 -0.7071 12.1877 2.9833)" width="6.1" height="1.7" /></svg>') no-repeat center, white;
    background-size: 0;
    will-change: color, border, background, background-size, box-shadow;
    transform: translate3d(0, 0, 0);
    transition: color 0.1s, border 0.1s, background 0.15s, box-shadow 0.1s;
  }
  .checkbox-bb [type=checkbox].substituted:enabled:active + label:before,
  .checkbox-bb [type=checkbox].substituted:enabled + label:active:before,
  .checkbox-bb [type=radio].substituted:enabled:active + label:before,
  .checkbox-bb [type=radio].substituted:enabled + label:active:before {
    box-shadow: 0 0 0.04em, 0 0.06em 0.16em -0.03em transparent inset, 0 0 0 0.07em rgba(0, 0, 0, 0.1) inset;
    background-color: #f0f0f0;
  }
  .checkbox-bb [type=checkbox].substituted:checked + label:before,
  .checkbox-bb [type=radio].substituted:checked + label:before {
    background-color: #3B99FC;
    background-size: 0.75em;
    color: rgba(0, 0, 0, 0.075);
  }
  .checkbox-bb [type=checkbox].substituted:checked:enabled:active + label:before,
  .checkbox-bb [type=checkbox].substituted:checked:enabled + label:active:before,
  .checkbox-bb [type=radio].substituted:checked:enabled:active + label:before,
  .checkbox-bb [type=radio].substituted:checked:enabled + label:active:before {
    background-color: #0a7ffb;
    color: rgba(0, 0, 0, 0.275);
  }
  .checkbox-bb [type=checkbox].substituted:focus + label:before,
  .checkbox-bb [type=radio].substituted:focus + label:before {
    box-shadow: 0 0 0.04em, 0 0.06em 0.16em -0.03em transparent inset, 0 0 0 0.07em rgba(0, 0, 0, 0.1) inset, 0 0 0 3.3px rgba(65, 159, 255, 0.55), 0 0 0 5px rgba(65, 159, 255, 0.3);
  }
  .checkbox-bb [type=checkbox].substituted:focus:active + label:before,
  .checkbox-bb [type=checkbox].substituted:focus + label:active:before,
  .checkbox-bb [type=radio].substituted:focus:active + label:before,
  .checkbox-bb [type=radio].substituted:focus + label:active:before {
    box-shadow: 0 0 0.04em, 0 0.06em 0.16em -0.03em transparent inset, 0 0 0 0.07em rgba(0, 0, 0, 0.1) inset, 0 0 0 3.3px rgba(65, 159, 255, 0.55), 0 0 0 5px rgba(65, 159, 255, 0.3);
  }
  .checkbox-bb [type=checkbox].substituted:disabled + label:before,
  .checkbox-bb [type=radio].substituted:disabled + label:before {
    background-color: #D9D9D9;
    opacity: 0.5;
  }

  .checkbox-bb [type=checkbox].substituted.dark + label:before,
  .checkbox-bb [type=radio].substituted.dark + label:before {
    color: rgba(255, 255, 255, 0.275);
    background-color: #222;
    background-image: url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" version="1.1" xml:space="preserve" fill="rgba(34, 34, 34, 0.999)" viewBox="0 0 9 9"><rect x="0" y="4.3" transform="matrix(-0.707 -0.7072 0.7072 -0.707 0.5891 10.4702)" width="4.3" height="1.6" /><rect x="2.2" y="2.9" transform="matrix(-0.7071 0.7071 -0.7071 -0.7071 12.1877 2.9833)" width="6.1" height="1.7" /></svg>');
  }
  .checkbox-bb [type=checkbox].substituted.dark:enabled:active + label:before,
  .checkbox-bb [type=checkbox].substituted.dark:enabled + label:active:before,
  .checkbox-bb [type=radio].substituted.dark:enabled:active + label:before,
  .checkbox-bb [type=radio].substituted.dark:enabled + label:active:before {
    background-color: #444;
    box-shadow: 0 0 0.04em, 0 0.06em 0.16em -0.03em transparent inset, 0 0 0 0.07em rgba(255, 255, 255, 0.1) inset;
  }
  .checkbox-bb [type=checkbox].substituted.dark:checked + label:before,
  .checkbox-bb [type=radio].substituted.dark:checked + label:before {
    background-color: #a97035;
    color: rgba(255, 255, 255, 0.075);
  }
  .checkbox-bb [type=checkbox].substituted.dark:checked:enabled:active + label:before,
  .checkbox-bb [type=checkbox].substituted.dark:checked:enabled + label:active:before,
  .checkbox-bb [type=radio].substituted.dark:checked:enabled:active + label:before,
  .checkbox-bb [type=radio].substituted.dark:checked:enabled + label:active:before {
    background-color: #c68035;
    color: rgba(0, 0, 0, 0.275);
  }
  .checkbox-bb [type=checkbox].substituted + label,
  .checkbox-bb [type=radio].substituted + label {
    -webkit-user-select: none;
    user-select: none;
  }

#copyright {
  background: #0092F4;
  font-size: 1rem !important;
  color: #fff;
}
#copyright p {
  margin: 0;
}
.nav ul li a{
  padding-top: 5px !important;
  padding-bottom: 5px !important;
}
.nav >ul >li:hover {background: #ccf3f3;}

/* 分頁數字框 */
.page-link {box-shadow:-1px 0 #cccccc, 0 1px #cccccc,1px 0 #cccccc, 0 -1px #cccccc}
